Skip to main content
Create a Custom Property Definition
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/{entity_type}/custom_properties \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "property_name": "sector",
  "property_type": "text"
}
'
[
  {
    "title": "400 Bad Request",
    "description": "The request body was not structured correctly."
  }
]

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

Body

application/json

Default structure for CustomPropertyDefinition.

property_name
string
required

The name of the Custom Property. Can not contain __.

Required string length: 1 - 100
Example:

"sector"

property_type
enum<string>
required

Expected type of the Custom Property.

Available options:
text,
number,
boolean,
list[text],
datetime
Required string length: 1 - 10
Example:

"text"

Response

No Content